## GoSearchReplace

GoSearchReplace

## Synopsis

    GQuark              go_search_replace_error_quark       (void);
    gboolean            go_search_replace_verify            (GoSearchReplace *sr,
                                                             gboolean repl,
                                                             GError **err);
    gboolean            go_search_match_string              (GoSearchReplace *sr,
                                                             const char *src);
    char*               go_search_replace_string            (GoSearchReplace *sr,
                                                             const char *src);

## Description

## Details

### go_search_replace_error_quark ()

    GQuark              go_search_replace_error_quark       (void);

Returns : |

### go_search_replace_verify ()

    gboolean            go_search_replace_verify            (GoSearchReplace *sr,
                                                             gboolean repl,
                                                             GError **err);

Checks that validity of the search-and-replace data and returns TRUE on success.

`sr` : | Search-and-Replace info to be checked
`repl` : | Check replacement part too.
`err` : | Location to store error message.
Returns : |

### go_search_match_string ()

    gboolean            go_search_match_string              (GoSearchReplace *sr,
                                                             const char *src);

`sr` : |
`src` : |
Returns : |

### go_search_replace_string ()

    char*               go_search_replace_string            (GoSearchReplace *sr,
                                                             const char *src);

`sr` : |
`src` : |
Returns : |